package io.zipcoder.interfaces;

import java.util.ArrayList;

public final class Instructors extends People<Instructor> {

    private static final Instructors INSTRUCTORS;

    private ArrayList<Instructor> instructorList = new ArrayList<Instructor>();

    static {
        INSTRUCTORS = new Instructors();
    }


    private Instructors(){
        instructorList.add(new Instructor("Wilhem", 41));
        instructorList.add(new Instructor("Dolio", 42));
        instructorList.add(new Instructor("Nhu", 43));
        instructorList.add(new Instructor("Froilan", 44));
        instructorList.add(new Instructor("Leon", 45));
    }

    public static Instructors getInstance() {
        return INSTRUCTORS;
    }

    @Override
    public ArrayList<Instructor> getArray() {
        return instructorList;
    }
}
