package io.zipcoder.interfaces;
import java.lang.reflect.Array;
import java.util.ArrayList;

public class People<E extends Person> {

    ArrayList<E> personList = new ArrayList<E>();


    public void addPerson(E person){
        personList.add(person);
    }

    public int getCount(){
        return personList.size();
    }

    public void removeByPerson(E person){
        for (int i = 0; i < personList.size(); i++) {
            if (personList.get(i).getId() == person.getId()){
                personList.remove(i);
            }
        }
    }

    public void removeById(long id){
        for (int i = 0; i < personList.size(); i++) {
            if (personList.get(i).getId() == id){
                personList.remove(i);
            }
        }
    }

    public Person findById(long id){
        Person returnPerson = null;
        for (int i = 0; i < personList.size(); i++) {
            if (personList.get(i).getId() == id){
                returnPerson = personList.get(i);
                break;
            }
        }
        return returnPerson;
    }

    public ArrayList<E> getArray(){
        return personList;
    }

    public void removeAll() {
        personList.clear();
    }
}

