package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.util.ArrayList;

public class InstructorTest {
    double delta = .000001;
    private Instructor instructor = new Instructor("Fake Instructor", 007);

    @Before
    public void setup(){

    }
    @Test
    public void testInheritance() {
        //GIVEN
        //WHEN
        boolean expected = true;
        //TEST
        boolean actual = instructor instanceof Teacher;
    }

    @Test
    public void testLecture() {
        //GIVEN
        Student student = new Student("Nick", 1);
        Student student1 = new Student("Vick", 2);
        Student student2 = new Student("Rick", 3);
        ArrayList<Learner> learners = new ArrayList<Learner>();
        learners.add(student); learners.add(student1); learners.add(student2);
        instructor.lecture(learners, 15);
        //WHEN
        double expected = 10;
        //TEST
        double actual = student.getTotalStudyTime();
        Assert.assertEquals(expected, actual, delta);
    }
}
