package io.zipcoder.interfaces;

import java.util.ArrayList;

public class Instructor extends Person implements Teacher {

    public Instructor(String name, long id) {
        super(name, id);
    }

    public void teach(Learner learner, double numberOfHours) {
        learner.learn(numberOfHours);
    }

    public void lecture(ArrayList<Learner> learners, double numberOfHours) {
        for (int i = 0; i < learners.size(); i++){
            learners.get(i).learn(numberOfHours / learners.size());
        }
    }
}
