package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestPerson {

    @Test
    public void testSetAndGetName(){
    //GIVEN
        Person person = new Person("Nic", 1);
    //WHEN
        person.setName("Nick");
        String expected = "Nick";
    //THEN
        String actual = person.getName();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testInheritance(){
        //GIVEN
        Student student = new Student("Nick", 1);
        //WHEN
        boolean expected = true;
        //THEN

        boolean actual = (student instanceof Person);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testLearn() {
        //GIVEN
        Student student = new Student("Nick", 1);
        double delta = .000001;
        //WHEN
        student.learn(10);
        double expected = 20;
        //THEN

        double actual = student.getTotalStudyTime();
        Assert.assertEquals(expected, actual, delta);
    }
}
